apiVersion: apps/v1
kind: Deployment
metadata:
  name: pipeline-test
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: pipeline-test
  template:
    metadata:
      labels:
        app: pipeline-test
    spec:
      containers:
      - image: registry.gitlab.com/khachatur.shahinyan/pipeline-test
        imagePullPolicy: Always
        name: pipeline-test
        ports:
        - containerPort: 8585